2 min • read

Upgrading Emissary-ingress

There are currently multiple paths for upgrading Emissary-ingress, depending on what version you're currently running, what you want to be running, and whether you installed Emissary-ingress using Helm or YAML.

(To check out if you installed Emissary-ingress using Helm, run helm list --all and see if Emissary-ingress is listed. If so, you installed using Helm.)

If you are currently running Ambassador Edge Stack

See the instructions on updating Ambassador Edge Stack.

If you installed Emissary-ingress using Helm

If you're running.You can upgrade to
Emissary-ingress 2.1.0Ambassador Edge Stack 2.1.0
Emissary-ingress 2.0.5Emissary-ingress 2.1.0
Emissary-ingress 1.14.2Emissary-ingress 2.1.0
Emissary-ingress prior to 1.14.2Emissary-ingress 1.14.2

If you installed Emissary-ingress manually by applying YAML

If you're running.You can upgrade to
Emissary-ingress 2.1.0Ambassador Edge Stack 2.1.0
Emissary-ingress 2.0.5Emissary-ingress 2.1.0
Emissary-ingress 1.14.2Emissary-ingress 2.1.0
Emissary-ingress prior to 1.14.2Emissary-ingress 1.14.2